本文へスキップ

Get headlines (topics list)

GET
/topics

Retrieve a paginated list of topics/headlines with optional filters

認証

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

API Key (header: X-CP-TERMINAL-API-KEY)

パラメータ

クエリパラメータ

category

Filter by category (0=Breaking, 1=Important, 2=Normal)

integer
有効な値
012
0
page

Page number

integer
1
最小値
1
デフォルト
1
page_size

Number of items per page

integer
20
最小値
1
デフォルト
20
lang

Language code

string
有効な値
"en""ja""zh"
"en"
デフォルト
"en"
publish_before

Filter by topics published before this date (RFC3339 format)

string
"2026-03-12T09:45:44Z"
フォーマット
"date-time"
publish_after

Filter by topics published after this date (RFC3339 format)

string
"2026-03-10T09:45:44Z"
フォーマット
"date-time"

レスポンス

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": [
  
  
{
  
  
  
"id": 1,
  
  
  
"title": "Bitcoin hits new high",
  
  
  
"subtitle": "crypto",
  
  
  
"summary": "market analysis summary",
  
  
  
"category": 0,
  
  
  
"lang": "en",
  
  
  
"published_at": "2026-01-01T10:00:00Z",
  
  
  
"url": "https://coinpost.ai/topics/1"
  
  
}
  
],
  
"total": 100
}

Playground

認証
変数
キー

サンプル

Powered by VitePress OpenAPI